print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceenergydrink = g_fillTypeManager:getFillTypeByName("COFFEE").pricePerLiter
	
	
	if node ~= 0 then
	
	local vodkaHudFile = "pallets/hud_fill_caffeine.dds"
	local vodkaHudFileSmall = "pallets/hud_fill_caffeine_small.dds"
	
    local energydrinkFilType = g_fillTypeManager:addFillType("CAFFEINE", g_i18n:getText("caffeine"), true, priceenergydrink * 2.3, 0.00045, math.rad(10), vodkaHudFile, vodkaHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasenergydrink=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasenergydrink=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "COFFEE" then
		hasmaize=true
	end;
		if fillname == "CAFFEINE" then
		hasenergydrink=true
	end;
		
end;

		if hasmaize and not hasenergydrink then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CAFFEINE")
		local price = g_fillTypeManager:getFillTypeByName("CAFFEINE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CAFFEINE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("COFFEE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)